/**
  *  \file client/widgets/enginestorage.h
  *  \brief WEngineStorageInfo widget
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_WIDGETS_ENGINESTORAGE_H
#define PCC_V2_CLIENT_WIDGETS_ENGINESTORAGE_H

#include "ui/ui.h"

class WEngineStorageInfo : public UIWidget {
    int have, need;
 public:
    WEngineStorageInfo();
    void setEnginesAvailable(int n);
    void setEnginesNeeded(int n);
    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& info);
};

#endif
