/**
  *  \file game/unpackmod.h
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_UNPACKMOD_H
#define PCC_V2_GAME_UNPACKMOD_H

struct TShip;
struct TPlanet;
struct TStarbase;
class GGen;
class Directory;

class GUnpackModifier {
 public:
    virtual ~GUnpackModifier()
        { }
    virtual void updateShip(TShip& ship) = 0;
    virtual void updatePlanet(TPlanet& planet) = 0;
    virtual void updateBase(TStarbase& base) = 0;
    virtual void updateGen(GGen& gen) = 0;
    virtual void finishDirectory() = 0;
};

#endif
